## EAttachmentDialog

EAttachmentDialog

## Functions

GtkWidget * | e_attachment_dialog_new ()
EAttachment * | e_attachment_dialog_get_attachment ()
void | e_attachment_dialog_set_attachment ()

## Properties

EAttachment * | attachment | Read / Write / Construct

## Types and Values

struct | EAttachmentDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── EAttachmentDialog

## Implemented Interfaces

EAttachmentDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### e_attachment_dialog_new ()

    GtkWidget *
    e_attachment_dialog_new (GtkWindow *parent,
                             EAttachment *attachment);

### e_attachment_dialog_get_attachment ()

    EAttachment *
    e_attachment_dialog_get_attachment (EAttachmentDialog *dialog);

### e_attachment_dialog_set_attachment ()

    void
    e_attachment_dialog_set_attachment (EAttachmentDialog *dialog,
                                        EAttachment *attachment);

## Types and Values

### struct EAttachmentDialog

    struct EAttachmentDialog;

## Property Details

### The `“attachment”` property

      “attachment”               EAttachment *

Flags: Read / Write / Construct